Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 102523 - Mercurial plugin does not support change propagation to a copy
Mercurial plugin does not support change propagation to a copy
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
Sun All
: P3 (vote)
: 7.0
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on: 102490
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 17:30 UTC by Padraig Obriain
Modified: 2010-09-08 03:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Padraig Obriain 2007-04-25 17:30:58 UTC
When a file is copied in netbeans the mercurial plugin does not call hg copy -A.

This means that changes toa  file are not propagated to copies of the file.
Comment 1 John Rice 2007-04-28 06:54:03 UTC
This is a known issue. In order for us to do the right thing we need the
platform to give us access to the Copy event in the Interceptor code. At present
it doesn't, so we don't get a chance to do anything with it.
We'll file an RFE against the platform to add Copy to the Versioning Interceptor
support.

We are able to catch the rename int eh Interceptor and do the right Hg thing
here so you will get copy changes propagated on a rename, which is a start :)
Comment 2 Padraig Obriain 2007-05-01 14:00:09 UTC
We cannot fix this until dependent RFE is addressed
Comment 3 John Rice 2007-05-02 11:31:23 UTC
Will investigate possible solutions for 1.1. Could just not do the hg add on any
locally new files until the user does a Commit. The issue with this is that the
IDE view of the Hg repository is now out of sync with the real repository as
seen when a user interacts with it from the command line.
Comment 4 John Rice 2007-05-02 11:32:40 UTC
Target fix for rev 1.1
Comment 5 Padraig Obriain 2008-03-31 11:45:13 UTC
The dependent RFE has not been addressed.
Comment 6 John Rice 2008-05-29 13:44:12 UTC
A related issue is that fetching the copy information to display in Search History is not currently possible in Mercurial.

We use the appropriate template command with file_copies, but no copy info is returned.

This issue is being tracked:
http://www.selenic.com/mercurial/bts/issue931
Comment 7 Ondrej Vrabec 2010-09-07 14:20:07 UTC
fix: http://hg.netbeans.org/cdev/rev/ffc06d8a020d
Comment 8 Quality Engineering 2010-09-08 03:30:35 UTC
Integrated into 'main-golden', will be available in build *201009080000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ffc06d8a020d
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #102523 - Mercurial plugin does not support change propagation to a copy


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo